Name:        ubuntu-sans-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Ubuntu-Font-1.0
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/UbuntuSans.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 UbuntuSansMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Bold.ttf
install -Dm644 UbuntuSansMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-BoldItalic.ttf
install -Dm644 UbuntuSansMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Italic.ttf
install -Dm644 UbuntuSansMonoNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Medium.ttf
install -Dm644 UbuntuSansMonoNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-MediumItalic.ttf
install -Dm644 UbuntuSansMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Regular.ttf
install -Dm644 UbuntuSansMonoNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-SemiBold.ttf
install -Dm644 UbuntuSansMonoNerdFont-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-SemiBoldItalic.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Bold.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-BoldItalic.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Italic.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Medium.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-MediumItalic.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Regular.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-SemiBold.ttf
install -Dm644 UbuntuSansMonoNerdFontMono-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-SemiBoldItalic.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Bold.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Italic.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Medium.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-MediumItalic.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Regular.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-SemiBold.ttf
install -Dm644 UbuntuSansMonoNerdFontPropo-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-SemiBoldItalic.ttf
install -Dm644 UbuntuSansNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Bold.ttf
install -Dm644 UbuntuSansNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-BoldItalic.ttf
install -Dm644 UbuntuSansNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Italic.ttf
install -Dm644 UbuntuSansNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Medium.ttf
install -Dm644 UbuntuSansNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-MediumItalic.ttf
install -Dm644 UbuntuSansNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Regular.ttf
install -Dm644 UbuntuSansNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-SemiBold.ttf
install -Dm644 UbuntuSansNerdFont-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-SemiBoldItalic.ttf
install -Dm644 UbuntuSansNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Bold.ttf
install -Dm644 UbuntuSansNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-BoldItalic.ttf
install -Dm644 UbuntuSansNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Italic.ttf
install -Dm644 UbuntuSansNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Medium.ttf
install -Dm644 UbuntuSansNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-MediumItalic.ttf
install -Dm644 UbuntuSansNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Regular.ttf
install -Dm644 UbuntuSansNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-SemiBold.ttf
install -Dm644 UbuntuSansNerdFontPropo-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-SemiBoldItalic.ttf

%files

%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFont-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-MediumItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-SemiBold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontMono-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-SemiBold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansMonoNerdFontPropo-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFont-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-SemiBold.ttf
%{_datadir}/fonts/%{name}/UbuntuSansNerdFontPropo-SemiBoldItalic.ttf
%license "LICENCE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
